pike.git / src / language.yacc

version» Context lines:

pike.git/src/language.yacc:1:   /* -*- c -*-   || This file is part of Pike. For copyright information see COPYRIGHT.   || Pike is distributed under GPL, LGPL and MPL. See the file COPYING   || for more information. - || $Id: language.yacc,v 1.307 2002/11/23 23:20:06 grubba Exp $ + || $Id: language.yacc,v 1.308 2002/11/27 15:05:00 grubba Exp $   */      %pure_parser      %token TOK_ARROW      /*    * Basic value pushing    */   %token TOK_CONSTANT TOK_FLOAT TOK_STRING
pike.git/src/language.yacc:106:   %left TOK_LSH TOK_RSH   %left '+' '-'   %left '*' '%' '/'   %right TOK_NOT '~'   %nonassoc TOK_INC TOK_DEC      %{   /* This is the grammar definition of Pike. */      #include "global.h" - RCSID("$Id: language.yacc,v 1.307 2002/11/23 23:20:06 grubba Exp $"); + RCSID("$Id: language.yacc,v 1.308 2002/11/27 15:05:00 grubba Exp $");   #ifdef HAVE_MEMORY_H   #include <memory.h>   #endif      #include "interpret.h"   #include "array.h"   #include "object.h"   #include "stralloc.h"   #include "las.h"   #include "interpret.h"
pike.git/src/language.yacc:3480:    {    $$=mknode(F_ARG_LIST,$$,mkidentifiernode(i));    }else{    $$=mkidentifiernode(i);    }    }    if(!$$)    {    if (!($$ = program_magic_identifier (Pike_compiler, 0, -1,    $2->u.sval.u.string, 1))) -  /* FIXME: Shouldn't this be an error? /mast */ +  { +  if (Pike_compiler->compiler_pass == 2) { +  my_yyerror("No such inherit ::%s.", $2->u.sval.u.string->str); +  }    $$=mkintnode(0); -  +  }    }else{    if($$->token==F_ARG_LIST) $$=mkefuncallnode("aggregate",$$);    }    free_node($2);    }    | TOK_COLON_COLON bad_identifier    {    $$=0;    }    ;